Problem Upgrading ISP Config - Urgent

Discussion in 'Installation/Configuration' started by djenn, Jun 23, 2010.

  1. djenn

    djenn New Member

    I decided to upgrade my installation from 2.2.33 to 2.2.36. I really, really wish I had left well enough alone.

    The upgrade hangs early in the process. After accepting the license, I get 'OK' messages for gcc, make, lex, and g++. Then, an Installation message starts, creating a symlink, it says "File exists", then says "preparing files", then proceeds to this:

    tar: Removing leading `/' from member names
    tar: Removing leading `/' from member names

    Then, nothing, it just hangs. But something happened because now I can no longer reach the ISP Config panel at https://servername.com:81, all I get is "Webpage not available". The server is still running, fortunately.

    I deleted the install_ispconfig directory but it still doesn't work.

    Can anyone help?
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    The ispconfig updater creates a backup. this may take some time depending on the speed of your server and the size of the backup. In your case it looks as if the upadte got interrupted. To fix this:

    1) Run:

    mkdir /root/ispconfig

    2) Look into the folder /home/admispconfig/ispconfig/temp/ if there are any files or folders with wired names (long combinations of chars and numbers), delete them. Do not delete folders that are named webmail or squirrelmail.

    3) Check that you have enough free space on all harddisk partitions. (at least a few GB).

    4) Do the update again and do not interupt it.
     
  3. djenn

    djenn New Member

    The directory already exists. There are no weird directory names or files with weird names. I have about 70 gigs free.

    Same thing happened when I tried to do the update again, it hangs at the same place.

    Any help is really, truly appreciated.

    Dave
     
  4. falko

    falko Super Moderator ISPConfig Developer

    There should be backups of your last working installation in /tmp (backups of /root/ispconfig, /home/admispconfig, and an SQL dump of the ISPConfig database). You can restore your installation from these backups.
     
  5. djenn

    djenn New Member

    Now it is a complete disaster. Nothing works except ssh (very fortunate). Apache will not start.

    I tried restoring from the backup files but that doesn't work. I forget the error message but it seems like lines 45 and 48 have missing files when I start ispconfig_server. The ./setup now wants a new installation and I'm concerned that it will delete all of my old websites, so I'm making a huge backup right now.

    What a mess. Lesson: don't upgrade if it is working well! No idea how I'm going to repair this.
     
  6. till

    till Super Moderator Staff Member ISPConfig Developer

    You will have to post some more detailed information if we h´shall help you. For example apache. If it dont start, then you must have got an error message on the shell or in the error,log. Please post this error message.

    Regarding the ispconfig update script, always run:

    mkdir /root/ispconfig

    before you run the setupo script again as I told you above, otherwise the installer might run in installation and not update mode.
     
  7. djenn

    djenn New Member

    Here is the apache log from the time I tried to upgrade until I decided to try a reboot (yes, another mistake):


    [Tue Jun 22 09:52:24 2010] [error] [client 70.16.145.82] File does not exist: /var/www/sharedip/mysql
    [Tue Jun 22 16:01:18 2010] [error] [client 221.11.4.190] File does not exist: /var/www/sharedip/manager
    [Tue Jun 22 23:06:33 2010] [error] [client 213.41.184.223] Invalid method in request \x16\x03\x01
    [Tue Jun 22 23:06:37 2010] [error] [client 213.41.184.223] Invalid method in request \x16\x03\x01
    [Tue Jun 22 23:06:43 2010] [error] [client 213.41.184.223] Invalid method in request \x16\x03\x01
    [Tue Jun 22 23:06:55 2010] [error] [client 213.41.184.223] Invalid method in request \x16\x03\x01
    [Wed Jun 23 19:33:19 2010] [error] [client 173.192.8.194] File does not exist: /var/www/sharedip/plugins
    [Wed Jun 23 20:37:04 2010] [error] [client 195.22.105.130] File does not exist: /var/www/sharedip/roundcubemail
    [Wed Jun 23 20:37:04 2010] [error] [client 195.22.105.130] File does not exist: /var/www/sharedip/rc
    [Wed Jun 23 20:37:04 2010] [error] [client 195.22.105.130] File does not exist: /var/www/sharedip/webmail
    [Wed Jun 23 20:37:05 2010] [error] [client 195.22.105.130] File does not exist: /var/www/sharedip/roundcube
    [Wed Jun 23 20:37:05 2010] [error] [client 195.22.105.130] File does not exist: /var/www/sharedip/mail
    [Wed Jun 23 20:37:05 2010] [error] [client 195.22.105.130] File does not exist: /var/www/sharedip/README
    [Thu Jun 24 04:15:56 2010] [error] [client 221.11.4.190] File does not exist: /var/www/sharedip/manager
    [Thu Jun 24 12:44:36 2010] [error] [client 85.12.23.210] client sent HTTP/1.1 request without hostname (see RFC2616 section 14.23): /w00tw00t.at.ISC.SANS.DFind:)
    [Fri Jun 25 00:08:53 2010] [error] [client 64.202.161.41] Invalid method in request \x16\x03\x01
    [Fri Jun 25 00:08:54 2010] [error] [client 64.202.161.41] Invalid method in request \x16\x03\x01
    [Fri Jun 25 00:08:54 2010] [error] [client 64.202.161.41] Invalid method in request \x16\x03\x01
    [Fri Jun 25 00:08:54 2010] [error] [client 64.202.161.41] Invalid method in request \x16\x03\x01
    [Fri Jun 25 00:08:54 2010] [error] [client 64.202.161.41] Invalid method in request \x16\x03\x01
    [Fri Jun 25 00:08:54 2010] [error] [client 64.202.161.41] Invalid method in request \x16\x03\x01
    [Fri Jun 25 00:08:57 2010] [error] [client 64.202.161.41] Invalid method in request \x16\x03\x01
    [Fri Jun 25 03:19:58 2010] [error] [client 221.11.4.190] File does not exist: /var/www/sharedip/manager
    [Fri Jun 25 20:07:01 2010] [error] [client 88.191.117.43] File does not exist: /var/www/sharedip/roundcubemail
    [Fri Jun 25 20:07:01 2010] [error] [client 88.191.117.43] File does not exist: /var/www/sharedip/rc
    [Fri Jun 25 20:07:02 2010] [error] [client 88.191.117.43] File does not exist: /var/www/sharedip/webmail
    [Fri Jun 25 20:07:02 2010] [error] [client 88.191.117.43] File does not exist: /var/www/sharedip/roundcube
    [Fri Jun 25 20:07:02 2010] [error] [client 88.191.117.43] File does not exist: /var/www/sharedip/mail
    [Fri Jun 25 20:07:02 2010] [error] [client 88.191.117.43] File does not exist: /var/www/sharedip/README
    [Fri Jun 25 23:54:48 2010] [error] [client 221.11.4.190] File does not exist: /var/www/sharedip/manager
    [Sun Jun 27 06:37:54 2010] [notice] Graceful restart requested, doing restart


    Running "mkdir /root/ispconfig" does nothing but return a "directory already exists" message.
     
  8. djenn

    djenn New Member

    Latest error messages, it crashed after the administrator mail question:


    NOTE: settings for "make test" are now controlled using "t/config.dist".
    See that file if you wish to customise what tests are run, and how.

    checking module dependencies and their versions...

    ***************************************************************************
    ERROR: the required NetAddr::IP module is not installed,
    minimum required version is 4.000.

    Used in determining which DNS tests are to be done for each of
    the header's received fields, and used by AWL plugin for extracting network
    address from an IPv6 addresses (and from IPv4 address on nondefault mask).


    ***************************************************************************
    ERROR: the required Archive::Tar module is not installed,
    minimum required version is 1.23.

    The "sa-update" program requires this module to access tar update
    archive files.


    ***************************************************************************
    ERROR: the required IO::Zlib module is not installed,
    minimum required version is 1.04.

    The "sa-update" program requires this module to access compressed
    update archive files.


    ***************************************************************************
    NOTE: the optional Digest::SHA module is not installed.

    The Digest::SHA module is required by the DKIM plugin.


    ***************************************************************************
    NOTE: the optional Mail::SPF module is not installed.

    Used to check DNS Sender Policy Framework (SPF) records to fight email
    address forgery and make it easier to identify spams.


    ***************************************************************************
    NOTE: the optional IP::Country module is not installed.

    Used by the RelayCountry plugin (not enabled by default) to determine
    the domain country codes of each relay in the path of an email.


    ***************************************************************************
    NOTE: the optional Razor2 module is not installed,
    minimum required version is 2.61.

    Used to check message signatures against Vipul's Razor collaborative
    filtering network. Razor has a large number of dependencies on CPAN
    modules. Feel free to skip installing it, if this makes you nervous;
    SpamAssassin will still work well without it.

    More info on installing and using Razor can be found
    at http://wiki.apache.org/spamassassin/InstallingRazor .


    ***************************************************************************
    NOTE: the optional Net::Ident module is not installed.

    If you plan to use the --auth-ident option to spamd, you will need
    to install this module.


    ***************************************************************************
    NOTE: the optional IO::Socket::INET6 module is not installed.

    This is required if the first nameserver listed in your IP
    configuration or /etc/resolv.conf file is available only via an
    IPv6 address. Also used by a DCC plugin to access dccifd over network.


    ***************************************************************************
    NOTE: the optional IO::Socket::SSL module is not installed.

    If you wish to use SSL encryption to communicate between spamc and
    spamd (the --ssl option to spamd), you need to install this
    module. (You will need the OpenSSL libraries and use the
    ENABLE_SSL="yes" argument to Makefile.PL to build and run an SSL
    compatibile spamc.)


    ***************************************************************************
    NOTE: the optional Mail::DKIM module is not installed,
    minimum required version is 0.31, recommended version is 0.37 or higher.

    If this module is installed and the DKIM plugin is enabled,
    SpamAssassin will perform DKIM signature verification when DKIM-Signature
    header fields are present in the message headers, and check ADSP rules
    (e.g. anti-phishing) when a mail message does not contain a valid author
    domain signature. Version 0.37 or later is needed to fully support ADSP.


    ***************************************************************************
    NOTE: the optional Encode::Detect module is not installed.

    If you plan to use the normalize_charset config setting to detect
    charsets and convert them into Unicode, you will need to install
    this module.

    REQUIRED module missing: NetAddr::IP
    REQUIRED module missing: Archive::Tar
    REQUIRED module missing: IO::Zlib
    optional module missing: Digest::SHA
    optional module missing: Mail::SPF
    optional module missing: IP::Country
    optional module missing: Razor2
    optional module missing: Net::Ident
    optional module missing: IO::Socket::INET6
    optional module missing: IO::Socket::SSL
    optional module missing: Mail::DKIM
    optional module missing: Encode::Detect

    warning: some functionality may not be available,
    please read the above report before continuing!

    make: *** No targets specified and no makefile found. Stop.
    ERROR: Could not make SpamAssassin
     
  9. till

    till Super Moderator Staff Member ISPConfig Developer

  10. djenn

    djenn New Member

    Thanks. I tried that, installing NetAddr, and it seemed to install. Then I did a mkdir /root/ispconfig, then unpacked ISPConfig and tried again, same error messages, crashes at the same point.

    I still cannot start apache2. When I start ISPConfig, this is what I get:


    Starting ISPConfig system...
    /etc/init.d/ispconfig_server: line 45: /root/ispconfig/httpd/bin/apachectl: No such file or directory
    /etc/init.d/ispconfig_server: line 48: /root/ispconfig/php/php: No such file or directory
    FreshClam is already running!
    ISPConfig system is now up and running!
     
  11. till

    till Super Moderator Staff Member ISPConfig Developer

    Then you still not have the correct perl module installed. This is the procedure that you should use:

    1) uninstall the debian perl module.
    2) Install it with the perl shell.
    3) recreate the ispconfig directory.
    4) run the update again.
     
  12. djenn

    djenn New Member

    correction: there is no longer a NetAddr error. I will try to install the perl Archive::Tar module.
     
  13. djenn

    djenn New Member

    Thank you, thank you, thank you, thank you!!!!

    Back up and running!!!!

    Dave
     
  14. djenn

    djenn New Member

    Now I'm back to where I was when the "www" prefix wouldn't work and I cannot log in to ISP Config. But at least my websites are running, albeit without the prefix.
     

Share This Page